> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yiksipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute

> Initiates the transfer of assets (native coins or tokens) from a specified sender address to a recipient address within the same wallet ecosystem.

### Body Parameters

| Key | **Required** | Type | Description |
| --- | --- | --- | --- |
| senderAddress | true | string | The address you're recovering assets from |
| recipientAddress | true | string | The address the recovering assets will be sent to |
| amount | true | string | The amount to be salvaged. |
| tokenAddress | false | string | Specify this for token salvage |
| blockchainId | true | string | The blockchain id you're recovering funds from |
| rpcUrl | false | string | Specify this for assets on an unsupported blockchain |
| isL2 | false | boolean | Specify this if RPC url points to a Layer 2 blockchain |



## OpenAPI

````yaml post /v1/wallets/{walletId}/salvage
openapi: 3.0.3
info:
  title: Yiksi Pay Documentation
  description: >-
    The OpenAPI specification of the Yiksi Pay API that enables fintechs and
    developers to seamlessly integrate stablecoin deposits and payments into
    their products.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.yiksipay.com
security:
  - apiKey: []
tags:
  - name: Wallet
    description: >-
      Wallet Management System


      Comprehensive wallet management API for multi-blockchain operations. This
      system handles wallet creation, configuration, balance monitoring, and
      integration with various blockchain networks.


      Core Functionality:


      - Multi-blockchain wallet creation and management
          
      - Balance monitoring and asset tracking
          
      - Auto-settlement rule configuration
          
      - Address generation and management
          
      - Transaction monitoring and processing
  - name: Addresses
    description: >-
      Address Management System


      Comprehensive blockchain address management API for operations. This
      system handles address creation, validation, monitoring, and management
      across multiple blockchain networks.  


      Core Functionality:


      - Multi-blockchain address generation
          
      - Address validation and verification
          
      - Balance monitoring and tracking
          
      - Transaction history management
          
      - Address labeling and organization
          
      - Integration with wallet systems
          
      - Real-time address monitoring
  - name: Asset
  - name: Transactions
  - name: Withdraw
    description: >-
      The Withdraw feature allows you to programmatically withdraw stablecoins
      from your master wallet with ease
  - name: Signing
    description: >-
      Typed data signing service for secure transaction authorization. Supports
      all EIP-712 standards including EIP-3009 (TransferWithAuthorization) and
      EIP-2612 (Permit).
  - name: Swap
    description: >-
      The Swap feature enables users to exchange one stabelcoin asset for
      another across different blockchains. This feature provides a seamless way
      to convert between different stablecoins while maintaining security and
      compliance standards.
  - name: Auto Settlements
    description: >-
      Creates a new auto settlement rule for a wallet. Auto settlement
      automatically transfers/swap assets based on configured rules when certain
      conditions are met.


      Rules can be configured for:


      - Source blockchain and assets
          
      - Destination blockchain and asset
          
      - Amount ranges (min/max)
          
      - Slippage tolerance
          
  - name: Smart Contract
    description: >-
      This API provides endpoints for interacting with smart contracts on the
      blockchain. It allows for reading contract data, executing contract
      functions, and estimating network fees.
  - name: Beneficiaries
    description: >-
      This API allows you to create beneficiaries with automatic settlements to
      your external wallets on a periodic basis.


      Example frequencies: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
  - name: AML
    description: >-
      The AML (Anti Money Laundering) API provides a quick way for you to check
      if an address is blacklisted or sanctioned
  - name: Asset Recovery
    description: >-
      Enables the recovery (salvage) of both native blockchain assets and tokens
      from a specified sender address to a recipient address. This feature
      supports emergency fund recovery and asset consolidation operations.
  - name: Miscellaneous
    description: >-
      The Miscellaneous API are supporting APIs that can be used to provide more
      details to other APIs.
  - name: Asset1
  - name: Blockchain
  - name: Webhooks
    description: >-
      Webhooks allow you to set up a notification system that can be used to
      receive updates on certain requests made to the Yiksi Pay API.  
        
      To see full list and instructions
      [https://docs.yiksipay.com/essentials/webhooks](https://docs.yiksipay.com/essentials/webhooks)


      ##
  - name: Deposit
  - name: Withdraw1
  - name: Swap1
paths:
  /v1/wallets/{walletId}/salvage:
    parameters:
      - name: walletId
        in: path
        required: true
        schema:
          type: string
          example: WALLET_ID
    post:
      tags:
        - Asset Recovery
      summary: Execute
      description: >-
        Initiates the transfer of assets (native coins or tokens) from a
        specified sender address to a recipient address within the same wallet
        ecosystem.


        ### Body Parameters


        | Key | **Required** | Type | Description |

        | --- | --- | --- | --- |

        | senderAddress | true | string | The address you're recovering assets
        from |

        | recipientAddress | true | string | The address the recovering assets
        will be sent to |

        | amount | true | string | The amount to be salvaged. |

        | tokenAddress | false | string | Specify this for token salvage |

        | blockchainId | true | string | The blockchain id you're recovering
        funds from |

        | rpcUrl | false | string | Specify this for assets on an unsupported
        blockchain |

        | isL2 | false | boolean | Specify this if RPC url points to a Layer 2
        blockchain |
      operationId: execute
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: string
                  example: AMOUNT_TO_SEND
                blockchainId:
                  type: string
                  example: BLOCKCHAIN_ID
                recipientAddress:
                  type: string
                  example: RECIPIENT_ADDERESS
                senderAddress:
                  type: string
                  example: YIKSIPAY_CHILD_ADDRESS
                tokenAddress:
                  type: string
                  example: TOKEN_ADDRESS
            examples:
              Execute:
                value: |-
                  {
                      "senderAddress": "YIKSIPAY_CHILD_ADDRESS",
                      "recipientAddress": "RECIPIENT_ADDERESS",
                      "tokenAddress": "TOKEN_ADDRESS",
                      "amount": "AMOUNT_TO_SEND",
                      "blockchainId": "BLOCKCHAIN_ID",
                      "rpcUrl": "RPC_URL",
                      "isL2": true // optional
                  }
      responses:
        '200':
          description: 200 - Native Asset / 200 - Token
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Salvage asset initiated successfully
                  statusCode:
                    type: number
                    example: 200
              examples:
                200 - Native Asset:
                  value:
                    message: Salvage asset initiated successfully
                    statusCode: 200
                200 - Token:
                  value:
                    message: Salvage asset initiated successfully
                    statusCode: 200
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````